%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define kdedir /usr
%define beta %nil

Name: kkbswitch
Version: 1.3.2
Release: alt1

Summary: Keyboard layout indicator for KDE
Group: Graphical desktop/KDE
URL: http://kkbswitch.sourceforge.net/
License: GPL

Source: %name-%version%beta.tar.bz2
Patch1: kkbswitch-1.0-dcop_open_cfg.patch
Patch2: kkbswitch-1.3.2-detect-autotools.patch

# Automatically added by buildreq on Wed Mar 17 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel xml-utils zlib-devel

BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: libarts-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel xml-utils zlib-devel
BuildRequires: kdelibs-devel kdelibs-devel-cxx = %__gcc_version_base

%description
KKBSwitch is a keyboard layout indicator for KDE

%prep
%setup -q -n %name-%version%beta
%patch1 -p1
%patch2 -p1
perl -pi -e "s|%name.png|locale.png|g" %name/%name.desktop
perl -pi -e "s|Name=.*|Name=Keyboard layout indicator|g" %name/%name.desktop

subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
export QTDIR=%qtdir KDEDIR=%kdedir
%configure \
    --disable-rpath \
    --disable-ru-ua-layout

%make_build

%install
%make DESTDIR=%buildroot install

install -m 644 kkbswitch/kkbswitch.desktop %buildroot/%_datadir/applnk/Utilities/kkbswitch-cfg.desktop
perl -pi -e "s|^Exec=.*$|Exec=/bin/sh -c 'kkbswitch; dcop kkbswitch KBSwitchIntf openConfigurationDialog'|" %buildroot/%_datadir/applnk/Utilities/kkbswitch-cfg.desktop

mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name Applications/Accessibility %buildroot/%_datadir/applnk/Utilities/kkbswitch.desktop %buildroot/%_menudir/%name kde
kdedesktop2mdkmenu.pl %name Configuration/KDE/Accessibility %buildroot/%_datadir/applnk/Utilities/kkbswitch-cfg.desktop %buildroot/%_menudir/%name-cfg kde

#mkdir -p %buildroot/{%_iconsdir/locolor/48x48/apps/,%_miconsdir,%_liconsdir}
#convert -geometry 48x48 %buildroot/%_iconsdir/locolor/32x32/apps/%name.png %buildroot/%_iconsdir/locolor/48x48/apps/%name.png
#ln -s ../locolor/16x16/apps/%name.png %buildroot/%_iconsdir/mini/%name.png
#ln -s ./locolor/32x32/apps/%name.png %buildroot/%_iconsdir/%name.png
#ln -s ../locolor/48x48/apps/%name.png %buildroot/%_iconsdir/large/%name.png

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/apps/*
%_docdir/HTML/en/*
#%_iconsdir/*/*/apps/%name.png
#%_miconsdir/%name.png
#%_iconsdir/%name.png
#%_liconsdir/%name.png
#
%_datadir/applnk/Utilities/*.desktop
%_datadir/autostart/*.desktop
%_menudir/*

%changelog
* Wed Feb 11 2004 Sergey V Turchin <zerg at altlinux dot org> 1.3.2-alt1
- new version

* Thu Oct 23 2003 Sergey V Turchin <zerg at altlinux dot org> 1.3-alt1
- release 1.3

* Tue Oct 21 2003 Sergey V Turchin <zerg at altlinux dot org> 1.3-alt0.1.pre
- 1.3pre

* Fri Sep 12 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2-alt2
- add autostart feature

* Tue Nov 26 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2-alt1
- new version
- fix menu item

* Fri Sep 06 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt3
- rebuild with gcc 3.2

* Tue Aug 06 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt1
- new version

* Mon Jun 03 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt4
- add popup configuration dialog by clicking in KControl

* Fri Apr 26 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt3
- build with KDE3

* Fri Mar 22 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt2
- remove Requires kdebase

* Tue Jan 22 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt1
- initial spec

